logic_info.h File Reference

A class giving information about a logic (group a theory modules and configuration information) More...

`#include "cvc4_public.h"`
`#include <string>`
`#include <vector>`
`#include "expr/kind.h"`
Include dependency graph for logic_info.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | CVC4::LogicInfo
| A LogicInfo instance describes a collection of theory modules and some basic configuration about them. More...

## Namespaces

namespace | CVC4

## Functions

std::ostream & | CVC4::operator<< (std::ostream &out, const LogicInfo &logic)

## Detailed Description

A class giving information about a logic (group a theory modules and configuration information)

    ** Original author: Morgan Deters
    ** Major contributors: none
    ** Minor contributors (to current version): Dejan Jovanovic, Andrew Reynolds
    ** This file is part of the CVC4 project.
    ** Copyright (c) 2009-2014  New York University and The University of Iowa
    ** See the file COPYING in the top-level source directory for licensing
    ** information.

A class giving information about a logic (group of theory modules and configuration information).

Definition in file logic_info.h.